<!DOCTYPE html>
<html ng-app="users">
@head("Gestion des droits")
<body ng-controller="UsersController">
<script type="text/ng-template" id="modal.html">
@modal()
</script>
<div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="navbar-collapse collapse">
        <div class="nav navbar-nav navbar-right">
            <p class="navbar-text"><a class="text-right" href="/logout"><span class="glyphicon glyphicon-off"></span></a></p>
            <p class="navbar-text"></p>
        </div>
    </div>
</div>
<div class="container-fluid top-buffer">
    <h2>Liste des utilisateurs configurés</h2>
    <div class="has-error" ng-if="error">
        <label class="control-label">{{error}}</label>
    </div>
    <div class="center">
        <label>Rechercher : </label>&nbsp;<input ng-model="searchUser"/>
    </div>
    <table class="table table-hover table-condensed">
        <thead>
        <tr>
            <th>Nom</th><th>Prénom</th><th>Login</th><th>Profil</th>
            <th>
                <input placeholder="Rechercher dans XiVO" type="text" ng-model="xivoUser"
                       typeahead="user as fullName(user) for user in xivoUsers | filter:$viewValue">
                <button type="button" class="btn btn-primary" ng-click="createUser(xivoUser)" title="Ajouter">
                    <span class="glyphicon glyphicon-plus-sign"></span>
                </button>
            </th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="u in users | filter: searchUser">
            <td>{{u.name}}</td>
            <td>{{u.firstname}}</td>
            <td>{{u.login}}</td>
            <td>{{profileLabel(u.profile)}}</td>
            <td>
                <button type="button" class="btn btn-success" ng-click="editUser(u)" title="Modifier">
                    <span class="glyphicon glyphicon-pencil"></span>
                </button>
                <button type="button" class="btn btn-danger" ng-click="deleteUser(u)" title="Supprimer">
                    <span class="glyphicon glyphicon-trash"></span>
                </button>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>